
# common aliases
alias rm="rm -i"
alias mv="mv -i"
alias cp="cp -i"
alias vlock="clear; vlock"
alias lm="tail -n 60 -f /var/log/syslog"
alias df="df -h"
alias emacs="emacs -nw"
alias e="emacs -nw"
alias rsu="sudo zsh"
alias zconf="source ~/.zshrc"

[ "$SUDO_USER" -a $UID = 0 ] && alias emacs="emacs -u $SUDO_USER -nw"
[ "$SUDO_USER" -a $UID = 0 ] && alias e="emacs -u $SUDO_USER -nw"

[ -x "$(whence ccze)" ] && alias lm="tail -n 60 -f /var/log/syslog | ccze"
[ -x "$(whence pydf)" ] && alias df="pydf -h"
[ -x "$(whence colormake)" ] && alias make="colormake"

# git stuff
[ -z "$GIT_PAGER" ] && [ -x =less ] && export GIT_PAGER=less
[ -z "$GIT_PAGER" ] && [ -x =more ] && export GIT_PAGER=more
[ -z "$GIT_PAGER" ] && export GIT_PAGER=cat

alias git="PAGER=$GIT_PAGER git"
unset GIT_PAGER

#pager stuff
[ -x "$(whence most)" ] && export PAGER=most && alias more='most' && alias less='most'